/* top right bottom left */

/* Ajout des Google Font */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap');
/* Ajout du CSS pour le menu principale */
@import 'MainMenu.css';

/* --------------------------- RÈGLES GÉNÉRALES --------------------------- */
*{
	margin: 0;
	padding: 0;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
	font-family: "Poppins" , sans-serif;
	-webkit-font-smoothing: antialiased;
}
html, body{
	height: 100%;
	width: 100%;
}
body{
	background-color: var(--color-background-main);
	color: var(--color-text-main);
}
*::-webkit-scrollbar{
	width: 9px;
	border-radius: 100px;
	border: 2px solid transparent;
	background-color: #F5F5F5;
}
*::-webkit-scrollbar-thumb{
	border-radius: 100px;
	border: 2px solid transparent;
	background-color: #545454;
	background-clip: padding-box;
}


/* --------------------------- HEADER --------------------------- */
header {
	width: 100%;
	position: relative;
	background-color: var(--color-background-header);
	display: flex;
	justify-content: space-between;
	align-items: center;
    font-size: 30px;
	height: 55px;
	padding: 0px 20px;
}
header#loginHeader{
	justify-content: center !important;
}
header .headerBtn{
	display: flex;
	align-items: center;
    cursor: pointer;
}
header h1 {
	font-size: 35px;
	margin: auto;
}

header .dropdown{
	position: relative;
	display: inline-block;
}
header .dropBtn {
    padding: 12.5px 10px;
}
header .dropdown-content{
	visibility: hidden;
	opacity: 0;
	position: absolute;
	list-style: none;
    right: 0;
    width: 250px;
    padding-top: 8px;
	background: var(--color-background-popup);
    border-radius: 6px;
	z-index: 10;
	-webkit-box-shadow: 0 4px 10px -2px rgb(0 0 0 / 20%);
    box-shadow: 0 4px 10px -2px rgb(0 0 0 / 20%);
	-webkit-transition: visibility 0s linear 0.2s,opacity 0.2s linear;
	transition: visibility 0s linear 0.2s,opacity 0.2s linear;
}
header .dropdown:hover .dropdown-content{
	visibility: visible;
	opacity: 1;
	transition-delay: 0s;
}
header .dropdown-content li{
	font-size: 15px;
	font-weight: 400;
	padding: 6px 15px;
	width: 100%;
	user-select: none;
	position: relative;
}
header .dropdown-content li:not(.profile){
	width: fit-content;
	margin-bottom: 5px;
	cursor: pointer;
}
header .dropdown-content li:not(.profile) > a{
	text-decoration: none;
	color: var(--color-text-main);
}
header .dropdown-content li:not(.profile):hover{
	font-weight: 500;
}
header .dropdown-content li:not(.profile):after{
	content: '';
	position: absolute;
	width: 100%;
	transform: scaleX(0);
	height: 2px;
	bottom: 0;
	left: 0;
	background-color: var(--color-text-main);
	transform-origin: bottom right;
	transition: transform 0.25s ease-out;
}
header .dropdown-content li:not(.profile):hover:after{
	transform: scaleX(1);
	transform-origin: bottom left;
}
header .dropdown-content li.profile{
	margin-top: 20px;
	height: 60px;
	width: 100%;
	padding: 10px 14px;
	background: var(--color-background-alt);
	overflow: hidden;
	text-align: left;
	border-radius: 0 0 6px 6px;
}
header .dropdown-content li.profile .name, header .dropdown-content li.profile .underNameBtn{
	font-size: 15px;
	font-weight: 400;
	white-space: nowrap;
}
header .dropdown-content li.profile .underNameBtn{
	font-size: 13px;
	color: var(--color-text-link);
	text-decoration: none;
	cursor: pointer;
}
header .dropdown-content .profile .profileBTN{
	position: absolute;
	font-size: 18px;
	top: 50%;
	right: 10px;
	transform: translateY(-50%);
	width: fit-content;
	cursor: pointer;
}


/* --------------------------- LOGIN CONTENT --------------------------- */
#loginContent{
	display: flex;
	gap: 10px;
	flex-direction: column;
	width: 100%;
	min-width: 250px;
	max-width: 450px;
	margin: 30px auto 0 auto;
}
#loginContent > form{
	padding: 20px;
}
#linkPandemonium{
	width: calc(100% - 40px);
	border-top: 1px solid var(--color-input-border);
	padding-top: 15px;
	text-align: center;
	margin: auto;
}
#linkPandemonium > a{
	text-decoration: none;
	color: var(--color-text-main);
}


/* --------------------------- CONTENT --------------------------- */
#mainContent{
	height: calc(100% - 55px);
	width: 100%;
}
.posBtnDiv{
	height: 60px;
	width: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 20px;
}
.posBtnDiv > button{
	display: flex;
	gap: 10px;
	justify-content: center;
	align-items: center;
	cursor: pointer;
	background-color: var(--color-background-Btn);
	color: white;
	border: none;
	outline: none;
	min-width: 180px;
	height: fit-content;
	font-size: 17px;
	font-weight: 500;
	border-radius: 6px;
	padding: 10px 20px;
}
.posBtnDiv > button:disabled{
	background-color: var(--color-background-Btn-disabled) !important;
	cursor: not-allowed !important;
}
.posBtnDiv > #stopRecBtn{
	background-color: var(--color-background-warningBtn);
}
#entRegisterContent{
	background: var(--color-background-alt);
	height: calc(100% - 55px);
	width: 100%;
}


/* --------------------------- CARTE --------------------------- */
.carte{
	height: calc(100% - 60px);
	position: relative;
}
.carte > #map{
	height: 100%;
	width: 100%;
	z-index: 1;
}
.carte > #mapCompteur{
	background-color: white;
	box-shadow: 0 5px 10px rgba(0, 0, 0, 0.5);
	border-radius: 50%;
	position: absolute;
	font-size: 24px;
	width: 75px;
	height: 75px;
	bottom: 20px;
	left: 20px;
	z-index: 1;
	display: flex;
	align-items: center;
	flex-direction: column;
	justify-content: center;
}
.carte > #mapCompteur > #speed{
	font-weight: 600;
}
.carte > #mapCompteur :last-child{
	font-size: 17px;
	margin-top: -5px;
}
.markerBTN{
	background: var(--color-background-Btn);
	color: white;
	user-select: none;
	outline: none;
	border: none;
	text-align: center;
	padding: 3px;
	border-radius: 3px;
	cursor: pointer;
	margin-top: 7px;
	width: 100%;
}
.markerBTN:hover{
	background: var(--color-background-Btn-hover);
}


/* --------------------------- FORMULAIRES --------------------------- */
form input, textarea, select{
	width: 100%;
	padding: 10px;
	border: 1px solid var(--color-input-border);
	border-radius: 5px;
	background: none;
	color: var(--color-text-main);
}
form textarea{
	resize: none;
    margin-bottom: -7px;
}
form select{
	text-align: center;
}
form input:focus, form textarea:focus{
	border: 1px solid var(--color-input-border-focus);
	outline: none;
}
form .btn{
	background-color: var(--color-background-Btn);
	color: white;
	margin-top: 20px;
	padding: 9px 15px;
	border: none;
	cursor: pointer;
	width: 100%;
	border-radius: 5px;
	font-size: 14px;
}
form .btn:hover{
	background-color: var(--color-background-Btn-hover);
}
form .multiBtn{
	margin-top: 20px;
}
form .multiBtn .btn{
	margin-top: 10px;
}
form .multiBtn :last-child {
	background-color: var(--color-background-warningBtn);
}
form .multiBtn :last-child:hover {
	background-color: var(--color-background-warningBtn-hover);
}
form .littleSubmit{
	margin-bottom: -5px;
	background: none;
	border: none;
	font-size: 13px;
	text-align: left;
	margin-left: 0;
	cursor: pointer;
	color: var(--color-text-alt);
}
.form-control{
	position: relative;
	margin-top: 20px;
	width: 100%;
}
.form-control small{
	color: var(--color-text-error);
	font-size: 13px;
	display: none;
}
.form-control.error small{
	display: block;
}
.form-control.error input, .form-control.error textarea{
	border-color: var(--color-input-border-error);
}
form .multiInput, form .multiRadio, .form-popup .radioTabs{
	width: 100%;
	display: inline-flex;
	justify-content: space-evenly;
	align-items: baseline;
	gap: 10px;
}
form .multiRadio, .form-popup .radioTabs{
	width: calc(100% + 10px);
}
form .multiInput small{
	max-width: 200px;
}
form .eye{
	position: absolute;
	cursor: pointer;
	font-size: 21px;
	right: 10px;
	top: 10px;
}

.form-popup input[type="radio"]{
	display: none;
}
.form-popup input[type="radio"] + label{
	border: 1px solid var(--color-input-border);
	border-radius: 5px;
	padding: 10px 0;
	margin-top: 20px;
	margin-right: 10px;
	width: 100%;
  	display: flex;
	justify-content: space-evenly;
	cursor: pointer;
	font-size: 14px;
}
.form-popup input[type="radio"]:hover + label{
	border: 1px solid var(--color-input-border-focus);
}
.form-popup input[type="radio"]:checked + label{
	border: 1px solid var(--color-input-border-focus);
	background: var(--color-background-Btn);
	color: var(--color-text-inverted);
}
.form-popup-div{
	/* opacity: 0; */
	visibility: hidden;
	z-index: -1;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgba(0, 0, 0, 0.3);
	-webkit-backdrop-filter: blur(3px);
	backdrop-filter: blur(3px);
	/* transition: all 0.5s ease; */
}
.form-popup-div.open{
	/* opacity: 1; */
	visibility: visible;
	z-index: 3;
}
.form-popup{
	position: fixed;
	left: 50%;
	top: 50%;
	transform: translate(-50%,-50%);
	max-width: 400px;
	min-width: 315px;
	padding: 20px 25px;
	background-color: var(--color-background-main);
	box-shadow: 0 5px 10px rgba(0, 0, 0, 0.5);
	border-radius: 20px;
	/* transition: all 0.5s ease; */
}
.form-popup-div .form-popup > .bx-x{
	color: var(--color-popup-buttonN-bg);
	font-size: 23px;
	float: right;
	position: fixed;
	top: 10px;
	right: 10px;
	cursor: pointer;
}
.form-popup h1{
	text-align: center;
	font-size: 22px;
	font-weight: 500;
}
.form-popup p{
	text-align: center;
	font-size: 14px;
	font-weight: 400;
	margin-top: 10px;
}


/* --------------------------- ADMIN CONTENT --------------------------- */
.adminDiv{
	width: 100%;
	height: calc(100% - 55px);
	overflow-y: auto;
	overflow-x: hidden;
	background: var(--color-background-alt);
}
.adminDiv #blocEntite{
	position: relative;
}
.adminDiv #blocEntite #addEntite{
	position: absolute;
    top: 6px;
    right: 25px;
    font-size: 35px;
    cursor: pointer;
}
.adminDiv .entite, .adminDiv #entite{
	width: calc(100% - 50px);
	padding-bottom: 10px;
	margin: auto auto 10px auto;
	list-style: none;
}
.adminDiv .entite{
	border-bottom: 1px solid gray;
}
.adminDiv .entiteInfo{
	width: 90%;
	margin: auto;
	padding: 0 10px;
	margin-top: 10px;
	margin-bottom: -15px;
}
.adminDiv .dropdown{
	position: relative;
	display: inline-block;
}
.adminDiv .dropBtn {
	padding: 6px 10px 6px 16px;
	font-weight: 500;
	font-size: 18px;
	border-radius: 3px;
	cursor: pointer;
	display: flex;
	gap: 10px;
	align-items: center;
}
.adminDiv .dropdown-content{
	visibility: hidden;
	opacity: 0;
	position: absolute;
	list-style: none;
    left: 0;
    padding: 8px 0;
	background: var(--color-background-popup);
    border-radius: 6px;
	z-index: 10;
	-webkit-box-shadow: 0 4px 10px -2px rgb(0 0 0 / 20%);
    box-shadow: 0 4px 10px -2px rgb(0 0 0 / 20%);
	-webkit-transition: visibility 0s linear 0.2s,opacity 0.2s linear;
	transition: visibility 0s linear 0.2s,opacity 0.2s linear;
}
.adminDiv .dropdown:hover .dropdown-content{
	visibility: visible;
	opacity: 1;
	transition-delay: 0s;
}
.adminDiv .dropdown-content button{
	color: var(--color-text-main);
	padding: 6px 20px;
	width: 100%;
	border: none;
	background: none;
	cursor: pointer;
	white-space: nowrap;
}
.adminDiv .dropdown-content button:hover{
	background: var(--color-background-Btn-hover-alt);
}
.blocList{
	width: 90%;
	margin: 15px auto 5px auto;
	height: fit-content;
	max-height: 600px;
	overflow-y: auto;
	overflow-x: hidden;
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
}
.blocList li{
	width: calc(25% - 20px);
	background: var(--color-background-main);
	list-style: none;
	margin: 10px;
	padding: 20px;
	text-align: center;
	border-radius: 10px;
	position: relative;
}
.blocList .title{
	font-size: 19px;
	font-weight: 500;
	border-bottom: 1px solid lightgray;
	padding-bottom: 10px;
	margin-bottom: 10px;
}
.blocList .info{
	font-size: 16px;
	text-align: center;
}
.blocList .bx-trash{
	position: absolute;
	right: 15px;
	top: 15px;
	font-size: 19px;
	cursor: pointer;
}
.blocList .blocBtn{
	display: flex;
	gap: 10px;
	padding-top: 12px;
	margin-top: 10px;
	border-top: 1px solid lightgray;
	justify-content: center;
}
.blocList .blocBtn > button{
	width: 100%;
	border: none;
	border-radius: 5px;
	cursor: pointer;
	background-color: var(--color-background-Btn);
	color: white;
	padding: 3px;
	font-size: 15px;
}
.blocList .blocBtn > .profileDisable {
	background: var(--color-background-Btn-disabled);
}
.blocList .blocBtn > .profileAdmin {
	background: var(--color-background-warningBtn);
}
.noContent{
	width: 100%;
	margin-top: 10px;
	text-align: center;
	color: var(--color-vitrine-text);
}

#debugConsole{
	height: 270px;
	width: 100%;
	background: white;
	color: black;
	padding: 20px;
	overflow-y: auto;
}
#debugConsole > p{
	border-bottom: #4b4b4b 1px solid;
	word-wrap: break-word;
}
#debugConsole > *{
	padding: 8px 20px;
	font-size: smaller;
}
#debugConsole > .exceptionError{
	position: relative;
	width: 100%;
	margin: 8px 0;
	height: fit-content;
	background: rgba(255, 70, 70, 0.2);
	color: red;
}
#debugConsole > .exceptionError > p{
	white-space: pre-wrap;
	word-wrap: break-word;
}
#debugConsole > .exceptionError > #lineError{
	position: absolute;
	top: 8px;
	right: 25px;
	color: #1f1f1f;
	text-decoration: underline;
}


/* --------------------------- AUTRES --------------------------- */
.hide{
	display: none !important;
}
.noScroll{
	overflow: hidden !important;
}

.loaderFullPage{
	position: absolute;
	top: 55px;
	left: 0;
	width: 100%;
	height: calc(100% - 55px);
	z-index: 50;
	background: rgba(0, 0, 0, 0.3);
	-webkit-backdrop-filter: blur(3px);
	backdrop-filter: blur(3px);
}
.loader {
	color: #ffffff;
	font-size: 10px;
	margin: 80px auto;
	position: relative;
	-webkit-transform: translateZ(0);
	-ms-transform: translateZ(0);
	transform: translateZ(0);
	-webkit-animation-delay: -0.16s;
	animation-delay: -0.16s;
}
.loader,
.loader:before,
.loader:after {
	border-radius: 50%;
	width: 2.5em;
	height: 2.5em;
	-webkit-animation-fill-mode: both;
	animation-fill-mode: both;
	-webkit-animation: loadAnimation 1.8s infinite ease-in-out;
	animation: loadAnimation 1.8s infinite ease-in-out;
}
.loader:before,
.loader:after {
	content: '';
	position: absolute;
	top: 0;
}
.loader:before {
	left: -3.5em;
	-webkit-animation-delay: -0.32s;
	animation-delay: -0.32s;
}
.loader:after {
	left: 3.5em;
}
@-webkit-keyframes loadAnimation {
	0%, 80%, 100% {
		box-shadow: 0 2.5em 0 -1.3em;
	}
	40% {
		box-shadow: 0 2.5em 0 0;
	}
}
@keyframes loadAnimation {
	0%, 80%, 100% {
		box-shadow: 0 2.5em 0 -1.3em;
	}
	40% {
		box-shadow: 0 2.5em 0 0;
	}
}


/* --------------------------- VARIABLES --------------------------- */
html.light {
	--color-text-main: #11101D;
	--color-text-inverted: #FFF;
	--color-text-alt: #4b4b4b;
	--color-text-link: #0072d6;
	--color-text-error: #d70000;
	--color-background-main: #FFF;
	--color-background-header: #FFF;
	--color-background-popup: #FFF;
	--color-background-alt: #dbdbdb;
	--color-background-Btn: #0074e0;
	--color-background-Btn-hover: #0084ff;
	--color-background-Btn-hover-alt: #d2d2d2;
	--color-background-Btn-disabled: #4b4b4b;
	--color-background-warningBtn: #d70000;
	--color-background-warningBtn-hover: #ff0000;
	--color-input-border: #11101D;
	--color-input-border-focus: #0078e0;
    --color-input-border-error: #d70000;
}
html.dark {
	--color-text-main: #FFF;
	--color-text-inverted: #11101D;
	--color-text-alt: #b4b4b4;
	--color-text-link: #3ea6ff;
	--color-text-error: #c80000;
	--color-background-main: #09080f;
	--color-background-header: #09080f;
	--color-background-popup: #09080f;
	--color-background-alt: #1d1b31;
	--color-background-Btn: #0074e0;
	--color-background-Btn-hover: #0084ff;
	--color-background-Btn-hover-alt: #2d2a47;
	--color-background-Btn-disabled: #4b4b4b;
	--color-background-warningBtn: #d70000;
	--color-background-warningBtn-hover: #ff0000;
	--color-input-border: rgb(173, 173, 173);
	--color-input-border-focus: #0078e0;
    --color-input-border-error: #c80000;
}